## org.gnu.gtk.event
Class ActionEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.ActionEvent

All Implemented Interfaces:
  java.io.Serializable

public class ActionEvent
extends GtkEvent

An event representing the activation of an `Action` object

Since:
  2.8
See Also:
  Serialized Form

Nested Class Summary
`static class` `ActionEvent.Type` The type of the ActionEvent

Constructor Summary
`ActionEvent(java.lang.Object source, EventType type)` creates a new ActionEvent

Method Summary
`boolean` `isOfType(ActionEvent.Type aType)` Compares this event's type with the provided type

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionEvent

    public ActionEvent(java.lang.Object source,
                       EventType type)

  creates a new ActionEvent

Parameters:
  `source` -
  `type` -

Method Detail

### isOfType

    public boolean isOfType(ActionEvent.Type aType)

  Compares this event's type with the provided type

  Parameters:
    `aType` - The type to test against
  Returns:
    true if this event has the same type as aType